Name: upclient
Version: 3.01
Release: 1
Summary: Upclient sends the uptime of the machine it's running on to a server
Copyright: GPL
Group: Networking
Source: http://uptime.hexon.cx/download/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}.diff
URL: http://uptime.hexon.cx/
BuildRoot: /tmp/%{name}-%{version}
Packager: Ian Macdonald <ianmacd@xs4all.nl>

%changelog
* Sat Mar 20 1999  Ian Macdonald <ianmacd@xs4all.nl>

- upgraded to 3.01
- no longer a nosrc package
- binary now in /usr/sbin
- %post removed

* Thu Nov 5 1998  Ian Macdonald <ianmacd@xs4all.nl>

- first RPM release

%description
Upclient is a small program that sends the uptime of the machine it's
running on to a server (ufo.its.kun.nl). This server collects all uptimes
and puts them in a table. To view the table, visit 
http://ufo.its.kun.nl/uptime/
Upclient causes almost no traffic (72bytes/minute), and won't give away
any other information than the uptime, load and the operating system
it's running on. But to make sure the program can't do any harm, don't run
it as root. All it needs, is access to /proc/uptime (and /proc/loadavg).
Upclient is totally freeware, so spread it around and make the list grow :)

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/{etc,usr/sbin}
install -s -m 755 upclient $RPM_BUILD_ROOT/usr/sbin
install -m 600 -o nobody -g root upclient.conf $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc COPYING INSTALL
/usr/sbin/upclient
/etc/upclient.conf
